# -*- coding: utf-8 -*-
##############################################################################
#
#    Odoo, Open Source Management Solution
#    Copyright (C) 2016-TODAY Prime Consulting SA, Cape Verde (<http://prime.cv>).
#
##############################################################################

from odoo import models, fields, api

class AccountPayment(models.Model):
    _inherit = "account.payment"

    @api.multi
    def unlink(self):
        for rec in self:
            rec.write({'move_name': ''})
            return super(AccountPayment, self).unlink()